--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a new Tag. When a <em>filename</em> is supplied, the tag of the file is read. <em>tagtype</em> specifies the tag type to read and defaults to V_ALL. Use one of ID3Lib::V1, ID3Lib::V2, ID3Lib::V_BOTH or ID3Lib::V_ALL.
- !ruby/struct:SM::Flow::VERB 
  body: "   tag = ID3Lib::Tag.new('shy_boy.mp3')\n"
- !ruby/struct:SM::Flow::P 
  body: "Only read ID3v1 tag:"
- !ruby/struct:SM::Flow::VERB 
  body: "   id3v1_tag = ID3Lib::Tag.new('piece_by_piece.mp3', ID3Lib::V1)\n"
full_name: ID3Lib::Tag::new
is_singleton: true
name: new
params: (filename, readtype=V_ALL)
visibility: public
